package com.alibaba.druid.sql.dialect.oracle.ast.stmt;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.dialect.oracle.visitor.OracleASTVisitor;

public class OracleContinueStatement extends OracleStatementImpl {
   private SQLExpr when;
   private String label;

   public SQLExpr getWhen() {
      return this.when;
   }

   public void setWhen(SQLExpr when) {
      if (when != null) {
         when.setParent(this);
      }

      this.when = when;
   }

   public String getLabel() {
      return this.label;
   }

   public void setLabel(String label) {
      this.label = label;
   }

   public void accept0(OracleASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.when);
      }

      visitor.endVisit(this);
   }
}
